package com.yuchen.saas.parking.api.enums;

import lombok.AllArgsConstructor;

/**
 * @Author 蔡文强
 * @Date 2023/5/25 15:56
 * @Description 优惠卡类型枚举信息
 */
@AllArgsConstructor
public enum CouponCardTypeEnum {

    PARKING_COUPON(1, "智慧停车"),
    ;

    private Integer code;

    public Integer getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    private String description;

    public static String getDescByCode(Integer code) {
        CouponCardTypeEnum[] enumArray = CouponCardTypeEnum.values();
        for (CouponCardTypeEnum e : enumArray) {
            if (e.getCode().equals(code)) {
                return e.getDescription();
            }
        }
        return "";
    }
}
